%Funcion ObtenerPuntosInterpolacion

function puntosInterpolacion = ObtenerPuntosInterpolacion (nSegmentos,... 
                                                           robots,...
                                                           segmentos)
%-Creacion de la entrada del algoritmo de interpolacin a partir de los
% puntos de la manguera y las posiciones de los robots, todo ello en
% en estado de reposo.
%-Formato de los puntos de interpolacion con 3 robots y 2 segmentos:
%         [{robot 1};{segmento 1};{robot2};{segmento2};{robot3}]

%Concatenacion hasta el segmento 'nSegmentos'-esimo.
puntosInterpolacion = robots(1,:); %Posicion del primer robot.

%Contatenacin incluyendo el segmento i-esimo y el robot 
%'i-esimo+1'-esimo. 
for i=1:nSegmentos
    puntosInterpolacion = [puntosInterpolacion; segmentos{i}; robots(i+1,:)];
end
